org.apache.cassandra.auth

## Class RolesCache

- java.lang.Object
- - org.apache.cassandra.auth.AuthCache<RoleResource,java.util.Set<RoleResource>>
  - - org.apache.cassandra.auth.RolesCache

All Implemented Interfaces:
  AuthCacheMBean, RolesCacheMBean

    public class RolesCache
    extends AuthCache<RoleResource,java.util.Set<RoleResource>>
    implements RolesCacheMBean

### Constructor Summary

Constructors
Constructor and Description
`RolesCache(IRoleManager roleManager)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Set<RoleResource>` `getRoles(RoleResource role)`

### Methods inherited from class org.apache.cassandra.auth.AuthCache

`get, getMaxEntries, getObjectName, getUpdateInterval, getValidity, init, invalidate, invalidate, setMaxEntries, setUpdateInterval, setValidity`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.auth.AuthCacheMBean

`getMaxEntries, getUpdateInterval, getValidity, invalidate, setMaxEntries, setUpdateInterval, setValidity`

### Constructor Detail

#### RolesCache

    public RolesCache(IRoleManager roleManager)

### Method Detail

#### getRoles

    public java.util.Set<RoleResource> getRoles(RoleResource role)